org.icepush

## Class PushNotification

- java.lang.Object
- - org.icepush.PushConfiguration
  - - org.icepush.PushNotification

-     public class PushNotification
      extends PushConfiguration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DETAIL` The PushNotification attribute name for detail.
    `static java.lang.String` | `SUBJECT` The PushNotification attribute name for subject.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushNotification(java.util.Map<java.lang.String,java.lang.Object> attributes)` Constructs a new PushNotification with the specified `attributes`.
    `PushNotification(java.lang.String subject)` Constructs a new PushNotification with the specified `subject`.
    `PushNotification(java.lang.String subject, java.lang.String detail)` Constructs a new PushNotification with the specified `subject` and `detail`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDetail()` Gets the detail of this PushNotification.
    `java.lang.String` | `getSubject()` Gets the subject of this PushNotification.

    - ### Methods inherited from class org.icepush.PushConfiguration

      `equals, getAttributes, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUBJECT

          public static java.lang.String SUBJECT

      The PushNotification attribute name for subject.

    - #### DETAIL

          public static java.lang.String DETAIL

      The PushNotification attribute name for detail.

  - ### Constructor Detail

    - #### PushNotification

          public PushNotification(java.lang.String subject)

      Constructs a new PushNotification with the specified `subject`.

      Parameters:
        `subject` - The subject of the new PushNotification to be constructed.
      See Also:
        `PushNotification(String, String)`, `PushNotification(Map)`

    - #### PushNotification

          public PushNotification(java.lang.String subject,
                                  java.lang.String detail)

      Constructs a new PushNotification with the specified `subject` and `detail`.

      Parameters:
        `subject` - The subject of the new PushNotification to be constructed.
        `detail` - The detail of the new PushNotification to be constructed.
      See Also:
        `PushNotification(String)`, `PushNotification(Map)`

    - #### PushNotification

          public PushNotification(java.util.Map<java.lang.String,java.lang.Object> attributes)

      Constructs a new PushNotification with the specified `attributes`.

      Parameters:
        `attributes` - The attributes of the new PushNotification to be constructed.
      See Also:
        `PushNotification(String)`, `PushNotification(String, String)`

  - ### Method Detail

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject of this PushNotification.

      Returns:
        The subject.

    - #### getDetail

          public java.lang.String getDetail()

      Gets the detail of this PushNotification.

      Returns:
        The detail.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.